## org.hibernate.engine
Interface NonFlushedChanges

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  NonFlushedChangesImpl

    public interface NonFlushedChanges

extends Serializable

Method Summary
`void` `clear()` Remove the non-flushed changes from this NonFlushedChanges object.
`void` `extractFromSession(EventSource source)` Extracts the non-flushed Changes from an EventSource into this NonFlushedChanges object.

Method Detail

### extractFromSession

    void extractFromSession(EventSource source)

  Extracts the non-flushed Changes from an EventSource into this NonFlushedChanges object.

  Parameters:
    `source` -

### clear

    void clear()

  Remove the non-flushed changes from this NonFlushedChanges object.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.